Page MenuHomeFreeBSD

mail/dcc-dccd: update to 2.3.164, use /var/db/dcc instead of /var/db, various cleanups
ClosedPublic

Authored by pkubaj on May 4 2019, 11:09 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 24469
Build 23276: arc lint + arc unit

Event Timeline

pkubaj created this revision.May 4 2019, 11:09 AM

Is there some user interaction required after the update due to the directory move? If so, you should probably document that in UPDATING.

mat added inline comments.May 14 2019, 11:15 AM
mail/dcc-dccd/Makefile
7

I'm quite sure you did not put the new version of the port here, so you can safely remove this.

12–17

So, the license says we cannot distribute package or sell them, but only if we're not actually distributing packages. It feels strange, and the .if should probably be removed. Or at least, the license should be checked.

pkubaj updated this revision to Diff 57520.May 18 2019, 3:53 AM

Correct according to comments.

No UPDATING entry is necessary, configs will not be moved.

pkubaj marked 2 inline comments as done.May 18 2019, 3:54 AM
mat accepted this revision.May 20 2019, 1:12 PM
This revision is now accepted and ready to land.May 20 2019, 1:12 PM
pkubaj updated this revision to Diff 57834.May 24 2019, 8:01 AM

Since I have not committed this yet and there's a new release, update to it.

This revision now requires review to proceed.May 24 2019, 8:01 AM
pkubaj retitled this revision from mail/dcc-dccd: update to 1.3.163, use /var/db/dcc instead of /var/db, various cleanups to mail/dcc-dccd: update to 2.3.164, use /var/db/dcc instead of /var/db, various cleanups.May 24 2019, 8:02 AM
mat accepted this revision.Jun 8 2019, 5:08 PM
This revision is now accepted and ready to land.Jun 8 2019, 5:08 PM
This revision was automatically updated to reflect the committed changes.